[pitivi] Add a xdg-app-builder manifest and an helper script to work with xdg-app
- From: Thibault Saunier <tsaunier src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [pitivi] Add a xdg-app-builder manifest and an helper script to work with xdg-app
- Date: Tue, 8 Dec 2015 17:25:41 +0000 (UTC)
commit 6055153e9979312039f0e9389c574ed23abbc1d9
Author: Thibault Saunier <tsaunier gnome org>
Date: Thu Dec 3 17:40:35 2015 +0100
Add a xdg-app-builder manifest and an helper script to work with xdg-app
Differential Revision: https://phabricator.freedesktop.org/D583
Reviewed-by: Alex Băluț <alexandru balut gmail com>
bin/pitivi-xdg-app | 1 +
bin/pitivi.installer.desktop | 7 +
build/xdg-app/enter_env | 17 ++
build/xdg-app/matplotlib-configure | 14 ++
build/xdg-app/meson-configure | 14 ++
build/xdg-app/ninja-configure | 13 ++
build/xdg-app/numpy-configure | 14 ++
build/xdg-app/pitivi-bundle | 376 ++++++++++++++++++++++++++++++++++++
build/xdg-app/pitivi.template.json | 180 +++++++++++++++++
build/xdg-app/setuptools-configure | 15 ++
10 files changed, 651 insertions(+), 0 deletions(-)
---
diff --git a/bin/pitivi-xdg-app b/bin/pitivi-xdg-app
new file mode 120000
index 0000000..b79ea61
--- /dev/null
+++ b/bin/pitivi-xdg-app
@@ -0,0 +1 @@
+../build/xdg-app/pitivi-bundle
\ No newline at end of file
diff --git a/bin/pitivi.installer.desktop b/bin/pitivi.installer.desktop
new file mode 100755
index 0000000..7a5e8e5
--- /dev/null
+++ b/bin/pitivi.installer.desktop
@@ -0,0 +1,7 @@
+#!/usr/bin/env xdg-open
+[Desktop Entry]
+Type=Application
+Terminal=true
+Name=Pitivi xdg-app installer and updater
+Icon=pitivi
+Exec=bash -c "cd `dirname %k`; ./pitivi-xdg-app --installer"
diff --git a/build/xdg-app/enter_env b/build/xdg-app/enter_env
new file mode 100755
index 0000000..e9427ee
--- /dev/null
+++ b/build/xdg-app/enter_env
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+GITREPO="$(git rev-parse --show-toplevel)"
+cd $GITREPO
+
+function generate_path_and_completion_calls {
+ echo "export PATH=$GITREPO/bin/:\$PATH"
+ echo "export CC='ccache gcc'"
+ echo "export CXX='ccache g++'"
+}
+
+RCFILE=$GITREPO/.bashrc
+cp ~/.bashrc $RCFILE
+echo "export PS1=[ptv]\ \$PS1" >> $RCFILE
+generate_path_and_completion_calls >> $RCFILE
+
+bash --rcfile $RCFILE
diff --git a/build/xdg-app/matplotlib-configure b/build/xdg-app/matplotlib-configure
new file mode 100755
index 0000000..4d461a5
--- /dev/null
+++ b/build/xdg-app/matplotlib-configure
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+FLAGS="$@"
+
+
+cat <<EOF > Makefile
+all:
+ CXX=/usr/bin/g++ CC=/usr/bin/gcc PYTHONPATH=/app/lib/python3.3/site-packages/ python3 ./setup.py
install --prefix=/app
+
+install:
+ echo "Already done"
+
+EOF
+
diff --git a/build/xdg-app/meson-configure b/build/xdg-app/meson-configure
new file mode 100755
index 0000000..dc6fe5b
--- /dev/null
+++ b/build/xdg-app/meson-configure
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+FLAGS="$@"
+
+cat <<EOF > Makefile
+all:
+ echo "Nothing"
+
+install:
+ ./install_meson.py $FLAGS
+
+EOF
+
+
diff --git a/build/xdg-app/ninja-configure b/build/xdg-app/ninja-configure
new file mode 100755
index 0000000..30fcd83
--- /dev/null
+++ b/build/xdg-app/ninja-configure
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+FLAGS="$@"
+
+cat <<EOF > Makefile
+all:
+ echo "Nothing"
+
+install:
+ cp ninja /app/bin/
+
+EOF
+
diff --git a/build/xdg-app/numpy-configure b/build/xdg-app/numpy-configure
new file mode 100755
index 0000000..823d8eb
--- /dev/null
+++ b/build/xdg-app/numpy-configure
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+FLAGS="$@"
+
+cat <<EOF > Makefile
+all:
+ ARCHFLAGS='-arch x86_64' CFLAGS=' -L/usr/lib -Lbuild/temp.linux-x86_64-3.3 -I/usr/include
-I/usr/include/python3.3m/ ' python3 ./setup.py install --prefix=/app
+
+install:
+ echo "Already done"
+
+
+EOF
+
diff --git a/build/xdg-app/pitivi-bundle b/build/xdg-app/pitivi-bundle
new file mode 100755
index 0000000..9a9a136
--- /dev/null
+++ b/build/xdg-app/pitivi-bundle
@@ -0,0 +1,376 @@
+#!/bin/sh
+
+# ------------------------------------------- #
+# Repository and bundle setup variables.
+# Those are the only variable to set if you
+# want to create an installer for another
+# application
+# ------------------------------------------- #
+
+# The name of the bundled application (must respect xdg-app application naming convention).
+APPLICATION_REF_NAME=org.pitivi.Pitivi
+# The usual application name
+APPLICATION_NAME=pitivi
+# The name given to the application in the .desktop file
+APPLICATION_DESKTOP_NAME="(Daily) Pitivi"
+# The default branch to use and create if generating the bundle
+BRANCH="master"
+
+# The URL of the bundle remote repository
+APPLICATION_REPO=http://people.freedesktop.org/~tsaunier/xdg-app-repos/pitivi/
+# The name to give to the repository if it is not registered in xdg-app yet
+APPLICATION_DEFAULT_REPO_NAME=pitivi
+
+# The name of the runtime to build the bundle against
+RUNTIME_NAME=org.gnome.Platform
+# The name of the Sdk to build the bundle against
+SDK_NAME=org.gnome.Sdk
+# The version of the Sdk to build the bundle against
+SDK_VERSION=3.18
+# The URL of the Sdk remote repository
+SDK_REPO=http://sdk.gnome.org/repo/
+# The name to give to the repository if it is not registered in xdg-app yet
+SDK_DEFAULT_REPO_NAME=gnome
+
+# ------------------------------------------- #
+
+# Computation of actual variable values
+APPLICATION_REPO_NAME=`xdg-app list-remotes --user -d | grep "$APPLICATION_REPO" |awk '{ print $1 }'`
+APPLICATION_REPO_NAME=${APPLICATION_REPO_NAME:-$APPLICATION_DEFAULT_REPO_NAME}
+
+SDK_REPO_NAME=`xdg-app list-remotes --user -d | grep "$SDK_REPO" |awk '{ print $1 }'`
+SDK_REPO_NAME=${SDK_REPO_NAME:-$SDK_DEFAULT_REPO_NAME}
+
+BUILDDIR="$( cd "$( dirname "$(readlink -f ${BASH_SOURCE[0]})" )" && pwd )"
+REPO=$BUILDDIR/xdg-app-repos/$0/
+
+# Some terminal output color values
+RED='\033[0;31m'
+GREEN='\033[0;32m'
+NC='\033[0m'
+
+cd $BUILDDIR
+
+_commandline_args=("$@")
+_document() {
+ help="$1"
+ for arg in "${_commandline_args[ ]}"; do
+ if [ "x$arg" = "x-h" -o "x$arg" = "x--help" ]; then
+ echo "$help"
+ exit
+ elif [ "x$arg" = "x--" ]; then
+ break
+ fi
+ done
+}
+
+HELP="Helper script to work with xdg-app for $APPLICATION_NAME
+
+Options:
+--------
+
+ -d, --devel: Setup a devel environment, meaning that it et you in
+ a bash environment ready to work on $APPLICATION_NAME, not that the environment
+ will be 'read only' and you will be only able to work on
$APPLICATION_NAME
+ itself easily. To have more control, you should use the --build
option.
+ -b, --build: Build $APPLICATION_NAME and its dependencies inside a xdg-app environment.
+ -u, --update: Update the runtime/sdk/app and rebuild the development environment if needed
+ -n, --no-update: Do not update anything (By default we update bundles when not in development mode)
+ --bundle: Create bundle repository in $REPO, implies --build
+ -b=, --branch=: The xdg-app branch to use (0.95, master...)
+ -c, --clean: Clean previous builds and restart from scratch
+
+You can find more information about xdg-app at: https://wiki.gnome.org/Projects/SandboxedApps
+"
+_document $HELP
+
+for i in "$@"
+do
+ case $i in
+ -d|--devel)
+ DEVEL=true
+ shift # past argument=value
+ ;;
+ -u|--update)
+ UPDATE=true
+ shift # past argument=value
+ ;;
+ -n|--no-update)
+ NO_UPDATE=true
+ shift # past argument=value
+ ;;
+ -bu|--bundle)
+ BUNDLE=true
+ shift # past argument=value
+ ;;
+ -c|--clean)
+ CLEAN=true
+ shift # past argument=value
+ ;;
+ -b=*|--branch=*)
+ BRANCH="${i#*=}"
+ shift # past argument=value
+ ;;
+ -b|--build)
+ BUILD=true
+ shift # past argument=value
+ ;;
+ --installer)
+ INSTALLER=true
+ shift # past argument=value
+ ;;
+ *) # unknown option
+ printf "$RED-> Unknown option $i$NC\n\n$HELP"
+ exit
+ ;;
+ esac
+done
+
+which xdg-app > /dev/null 2>&1
+if [ ! $? -eq 0 ]
+then
+ printf "$RED \n\n\nYou need to install xdg-app to be able to use the '$0' script.
+
+You can find some informations about how to install it for your distribution at:
+
+ * https://wiki.gnome.org/Projects/SandboxedApps/NightlyBuilds $NC\n\n\n"
+
+ if [ -n "$INSTALLER" ]
+ then
+ printf "\n\nYou can now exit that terminal."
+ read
+ fi
+ exit 1
+fi
+
+LOCAL=${LANG:0:2}
+SDK_INSTALLED=`xdg-app list-runtimes -d |grep "$SDK_NAME/.*/$SDK_VERSION"`
+SDK_LOCAL_INSTALLED=`xdg-app list-runtimes -d |grep "$SDK_NAME.Locale.$LOCAL/.*/$SDK_VERSION"`
+
+RUNTIME_INSTALLED=`xdg-app list-runtimes -d |grep "$RUNTIME_NAME/.*/$SDK_VERSION"`
+RUNTIME_LOCAL_INSTALLED=`xdg-app list-runtimes -d |grep "$RUNTIME_NAME.Local.$LOCAL/.*/$SDK_VERSION"`
+APP_INSTALLED=`xdg-app list-apps -d |grep "$APPLICATION_REF_NAME/.*/$BRANCH"`
+
+if [ -n "$BUNDLE" ]
+then
+ BUILD=true
+ DEVEL=true
+fi
+
+if [ -n "$BUILD" ]
+then
+ which xdg-app-builder > /dev/null 2>&1 || (echo "You need to install xdg-app-builder to \
+ use the $0 script for development.
+
+ xdg-app-builder was introduced between the 0.4.5 and 0.4.6 xdg-app releases.
+ "; exit 1)
+
+ DEVEL=true
+fi
+
+if [ -z "$DEVEL" ] && [ -z "$NO_UPDATE" ]
+then
+ UPDATE=true
+
+ if [ -n "$RUNTIME_INSTALLED" ]
+ then
+ printf "$GREEN\n==========\nUpdating $APPLICATION_NAME \n==========$NC\n\n"
+ else
+ printf "$GREEN\n==========\nInstalling $APPLICATION_NAME \n==========$NC\n\n"
+ fi
+fi
+
+# Install needed runtimes
+if [ -n "$DEVEL" ]
+then
+ if [ -z "$SDK_INSTALLED" ]
+ then
+ echo "-> Installing $SDK_NAME $SDK_VERSION"
+ xdg-app add-remote --no-gpg-verify --user $SDK_REPO_NAME $SDK_REPO > /dev/null 2>&1
+ xdg-app install-runtime --user $SDK_REPO_NAME $SDK_NAME $SDK_VERSION || exit 1
+ fi
+
+ if [ -n "$LOCAL" ] && [ -z "$SDK_LOCAL_INSTALLED" ]
+ then
+ echo "-> Installing $SDK_NAME.Locale.$LOCAL"
+ xdg-app install-runtime --user $SDK_REPO_NAME $SDK_NAME.Locale.$LOCAL $SDK_VERSION || exit 1
+ fi
+fi
+
+if [ -z "$RUNTIME_INSTALLED" ]
+then
+ echo "-> Installing $RUNTIME_NAME $SDK_VERSION $RUNTIME_INSTALLED"
+
+ xdg-app add-remote --no-gpg-verify --user $SDK_REPO_NAME $SDK_REPO > /dev/null 2>&1
+ xdg-app install-runtime --user $SDK_REPO_NAME $RUNTIME_NAME $SDK_VERSION || exit 1
+
+ if [ -n "$LOCAL" ] && [ -z "$RUNTIME_LOCAL_INSTALLED" ]
+ then
+ echo "-> Installing $RUNTIME_NAME.Locale.$LOCAL"
+ xdg-app install-runtime --user $SDK_REPO_NAME $RUNTIME_NAME.Locale.$LOCAL $SDK_VERSION || exit 1
+ fi
+fi
+
+# Update runtimes if needed
+if [ -n "$UPDATE" ]
+then
+ echo "-> Updating $RUNTIME_NAME $SDK_VERSION"
+
+ xdg-app update-runtime --user $RUNTIME_NAME $SDK_VERSION || exit 1
+
+ if [ -n "$LOCAL" ]
+ then
+ echo "-> Updating $RUNTIME_NAME.Locale.$LOCAL"
+ xdg-app update-runtime --user $RUNTIME_NAME.Locale.$LOCAL $SDK_VERSION || exit 1
+ fi
+
+ if [ -n "$DEVEL" ]
+ then
+ echo "-> Updating $SDK_NAME $SDK_VERSION"
+ xdg-app update-runtime --user $SDK_NAME $SDK_VERSION || exit 1
+
+ if [ -n "$LOCAL" ]
+ then
+ echo "-> Updating $SDK_NAME.Locale.$LOCAL $SDK_VERSION"
+ xdg-app update-runtime --user $SDK_NAME.Locale.$LOCAL $SDK_VERSION || exit 1
+ fi
+ fi
+fi
+
+DEVELOPMENT_BRANCHNAME=`git branch 2>&1 |grep \* |awk '{ print $2 }'`
+if [ x$DEVELOPMENT_BRANCHNAME == 'x' ]
+then
+ DEVELOPMENT_BRANCHNAME="master"
+ APP_BUILD_NAME=$APPLICATION_NAME
+else
+ APP_BUILD_NAME="$APPLICATION_NAME-$DEVELOPMENT_BRANCHNAME"
+fi
+
+if [ -n "$BUNDLE" ]
+then
+ APPDIR=$BUILDDIR/$APP_BUILD_NAME/
+else
+ APPDIR=$BUILDDIR/../devel/
+fi
+
+if [ -n "$CLEAN" ]
+then
+ echo "Cleaning environment..."
+
+ echo "-> Removing $APPDIR"
+ rm -Rf $APPDIR
+
+ echo "-> Removing .xdg-app-builder"
+ rm -Rf .xdg-app-builder
+fi
+
+if [ -z $DEVEL ] || [ -z $BUILD ]
+then
+ xdg-app add-remote --user --no-gpg-verify $APPLICATION_REPO_NAME $APPLICATION_REPO > /dev/null 2>&1
+
+ if [ -z "$APP_INSTALLED" ]
+ then
+ echo "Installing $APPLICATION_REF_NAME $BRANCH..."
+
+ xdg-app install-app --user $APPLICATION_REPO_NAME $APPLICATION_REF_NAME $BRANCH
+ fi
+
+ if [ -n "$UPDATE" ]
+ then
+ echo "-> Updating $APPLICATION_REF_NAME $BRANCH..."
+
+ xdg-app update-app --user $APPLICATION_REF_NAME $BRANCH
+ fi
+fi
+
+if [ -n "$DEVEL" ]
+then
+ GITREPO="$(git rev-parse --show-toplevel)"
+ GITREPO_URI="file://$GITREPO"
+
+ if [ -z $BUILD ]
+ then
+ if [ -z "$APP_INSTALLED" ]
+ then
+ cd $GITREPO
+ xdg-app run --branch=$BRANCH -d --command="./autogen.sh" $APPLICATION_REF_NAME
+ xdg-app run --branch=$BRANCH -d --command="make" $APPLICATION_REF_NAME
+ fi
+
+ echo "=============================="
+ echo "Entering prebuilt environment "
+ echo "=============================="
+ xdg-app run --branch=$BRANCH -d --command=$BUILDDIR/enter_env $APPLICATION_REF_NAME
+
+ exit $?
+ fi
+
+ if [ -n $BUILD ] && [ ! -f $APPDIR/metadata ]
+ then
+ UPDATE=true
+ fi
+
+ if [ -n "$UPDATE" ]
+ then
+
+ # Update values in the json template
+ JSON=$BUILDDIR/$APP_BUILD_NAME.json
+ sed -e "s/\$GITREPO/$(echo $GITREPO_URI | sed -e 's/\\/\\\\/g' -e 's/\//\\\//g' -e 's/&/\\\&/g')/" -e
"s/\$BRANCHNAME/$DEVELOPMENT_BRANCHNAME/" $APPLICATION_NAME.template.json > $JSON
+
+ echo "-> Building $APPLICATION_NAME $DEVELOPMENT_BRANCHNAME from $JSON"
+ xdg-app-builder $APPDIR $JSON || exit 1
+
+ if [ -z $BUNDLE ]
+ then
+ echo "-> Building $APPLICATION_NAME from current repository"
+ cd $GITREPO && xdg-app build --env=PYTHON=python3 $APPDIR ./autogen.sh --prefix=/app || exit 1
+ xdg-app build --env=PYTHON=python3 $APPDIR make || exit 1
+ fi
+ fi
+
+ # Launch development environment if we are not creating a bundle
+ if [ -z $BUNDLE ]
+ then
+ echo "=============================="
+ echo "Entering own built environment"
+ echo "=============================="
+ xdg-app build --socket=x11 --socket=session-bus --socket=pulseaudio --share=network $APPDIR
$BUILDDIR/enter_env
+
+ exit $?
+ fi
+else
+ if [ -n "$INSTALLER" ]
+ then
+ printf "$GREEN
+====>$APPLICATION_DESKTOP_NAME is now ready to be used, you can launch it through the application launcher, \
+as any other application. $NC
+
+To update the application, you can re launch that installer.\n\n"
+ fi
+
+ echo "-> Running $APPLICATION_REF_NAME $BRANCH..."
+ xdg-app run --branch=$BRANCH $APPLICATION_REF_NAME
+
+ exitcode=$?
+ if [ -n "$INSTALLER" ]
+ then
+ printf "\n\nYou can now exit that terminal."
+ fi
+
+ exit $exitcode
+fi
+
+
+if [ -n "$BUNDLE" ]
+then
+ echo "-> Creating repository $REPO if needed"
+ mkdir -p $REPO
+
+ echo "Exporting repo $REPO $DEVELOPMENT_BRANCHNAME"
+ xdg-app build-export $REPO $APPDIR $DEVELOPMENT_BRANCHNAME || exit 1
+
+ echo "Updating repo $REPO"
+ xdg-app repo-update $REPO || exit 1
+
+ echo "DONE!"
+fi
diff --git a/build/xdg-app/pitivi.template.json b/build/xdg-app/pitivi.template.json
new file mode 100644
index 0000000..b5c493e
--- /dev/null
+++ b/build/xdg-app/pitivi.template.json
@@ -0,0 +1,180 @@
+{
+ "app-id": "org.pitivi.Pitivi",
+ "version": "master",
+ "runtime": "org.gnome.Platform",
+ "runtime-version": "3.18",
+ "finish-args": ["--command=pitivi",
+ "--socket=x11", "--socket=session-bus", "--socket=pulseaudio",
+ "--talk-name=ca.desrt.dconf",
+ "--filesystem=home",
+ "--filesystem=xdg-videos",
+ "--filesystem=xdg-music",
+ "--filesystem=xdg-pictures"],
+ "sdk": "org.gnome.Sdk",
+ "rename-desktop-file": "pitivi.desktop",
+ "rename-icon": "pitivi",
+ "desktop-file-name-prefix": "(Daily) ",
+ "strip": false,
+ "build-options" : {
+ "cflags": "-O2 -g",
+ "cxxflags": "-O2 -g",
+ "env": {
+ "PYTHON": "python3"
+ }
+ },
+ "modules": [
+ {
+ "name": "yasm",
+ "sources": [
+ {
+ "type": "archive",
+ "url": "http://www.tortall.net/projects/yasm/releases/yasm-1.3.0.tar.gz",
+ "sha256": "3dce6601b495f5b3d45b59f7d2492a340ee7e84b5beca17e48f862502bd5603f"
+ }
+ ]
+ },
+ {
+ "name": "gstreamer",
+ "sources": [
+ {
+ "type": "git",
+ "url": "git://anongit.freedesktop.org/gstreamer/gstreamer"
+ }
+ ]
+ },
+ {
+ "name": "gst-plugins-base",
+ "sources": [
+ {
+ "type": "git",
+ "url": "git://anongit.freedesktop.org/gstreamer/gst-plugins-base"
+ }
+ ]
+ },
+ {
+ "name": "gst-plugins-good",
+ "sources": [
+ {
+ "type": "git",
+ "url": "git://anongit.freedesktop.org/gstreamer/gst-plugins-good"
+ }
+ ]
+ },
+ {
+ "name": "x264",
+ "config-opts": ["--enable-shared", "--enable-static", "--enable-pic", "--disable-lavf"],
+ "sources": [
+ {
+ "type": "archive",
+ "url":
"http://download.videolan.org/pub/x264/snapshots/x264-snapshot-20140212-2245-stable.tar.bz2",
+ "sha256": "5d98e9e4faf6dd55e7193ed379aff477b8acbda6777758956ef7e5f05067be18"
+ }
+ ]
+ },
+ {
+ "name": "gst-plugins-ugly",
+ "sources": [
+ {
+ "type": "git",
+ "url": "git://anongit.freedesktop.org/gstreamer/gst-plugins-ugly"
+ }
+ ]
+ },
+ {
+ "name": "gst-plugins-bad",
+ "sources": [
+ {
+ "type": "git",
+ "url": "git://anongit.freedesktop.org/gstreamer/gst-plugins-bad"
+ }
+ ]
+ },
+ {
+ "name": "gst-libav",
+ "sources": [
+ {
+ "type": "git",
+ "url": "git://anongit.freedesktop.org/gstreamer/gst-libav"
+ }
+ ]
+ },
+ {
+ "name": "gst-python",
+ "config-opts": ["--with-pygi-overrides-dir=/app/lib/python3.3/site-packages/gi/overrides/"],
+ "sources": [
+ {
+ "type": "git",
+ "url": "git://anongit.freedesktop.org/gstreamer/gst-python"
+ }
+ ]
+ },
+ {
+ "name": "gst-editing-services",
+ "sources": [
+ {
+ "type": "git",
+ "url": "git://anongit.freedesktop.org/gstreamer/gst-editing-services"
+ }
+ ]
+ },
+ {
+ "name": "setuptools",
+ "sources": [
+ {
+ "type": "archive",
+ "url": "https://pypi.python.org/packages/source/s/setuptools/setuptools-18.5.tar.gz",
+ "sha256": "4846755f18c0528d87583342d5e1221052858ce9922c5c38acbadd5015bd683d"
+ },
+ {
+ "type": "file",
+ "path": "setuptools-configure",
+ "dest-filename": "configure"
+ }
+ ]
+ },
+ {
+ "name": "numpy",
+ "sources": [
+ {
+ "type": "archive",
+ "url": "https://pypi.python.org/packages/source/n/numpy/numpy-1.10.1.tar.gz",
+ "sha256": "8b9f453f29ce96a14e625100d3dcf8926301d36c5f622623bf8820e748510858"
+ },
+ {
+ "type": "file",
+ "path": "numpy-configure",
+ "dest-filename": "configure"
+ }
+ ]
+ },
+ {
+ "name": "matplotlib",
+ "build-options" : {
+ "build-args": ["--share=network"]
+ },
+ "sources": [
+ {
+ "type": "archive",
+ "url": "https://pypi.python.org/packages/source/m/matplotlib/matplotlib-1.5.0.tar.gz",
+ "sha256": "67b08b1650a00a6317d94b76a30a47320087e5244920604c5462188cba0c2646"
+ },
+ {
+ "type": "file",
+ "path": "matplotlib-configure",
+ "dest-filename": "configure"
+ }
+ ]
+ },
+ {
+ "name": "pitivi",
+ "sources": [
+ {
+ "type": "git",
+ "url": "$GITREPO",
+ "branch": "$BRANCHNAME"
+ }
+ ]
+ }
+ ]
+}
+
diff --git a/build/xdg-app/setuptools-configure b/build/xdg-app/setuptools-configure
new file mode 100755
index 0000000..123e03d
--- /dev/null
+++ b/build/xdg-app/setuptools-configure
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+FLAGS="$@"
+
+./install_meson.py $FLAGS
+
+cat <<EOF > Makefile
+all:
+ echo "Nothing"
+
+install:
+ echo "Nothing"
+
+EOF
+
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]